<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="es"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>FormatoRIMRF42.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pzic_financialManagementCompanies</a> &gt; <a href="index.source.html" class="el_package">com.bbva.pzic.listHistoricalLettersSummaries.dao.model.rif4</a> &gt; <span class="el_source">FormatoRIMRF42.java</span></div><h1>FormatoRIMRF42.java</h1><pre class="source lang-java linenums"><span class="nc" id="L1">package com.bbva.pzic.listHistoricalLettersSummaries.dao.model.rif4;</span>

import com.bbva.jee.arq.spring.core.host.Campo;
import com.bbva.jee.arq.spring.core.host.Formato;
import com.bbva.jee.arq.spring.core.host.TipoCampo;
import org.springframework.roo.addon.javabean.annotations.RooJavaBean;
import org.springframework.roo.addon.javabean.annotations.RooSerializable;


/**
 * Formato de datos &lt;code&gt;RIMRF42&lt;/code&gt; de la transacci&amp;oacute;n &lt;code&gt;RIF4&lt;/code&gt;
 * 
 * @author Arquitectura Spring BBVA
 */
@Formato(nombre = &quot;RIMRF42&quot;)
@RooJavaBean
@RooSerializable
<span class="nc" id="L18">public class FormatoRIMRF42 {</span>
	
	/**
	 * &lt;p&gt;Campo &lt;code&gt;PEREFEL&lt;/code&gt;, &amp;iacute;ndice: &lt;code&gt;1&lt;/code&gt;, tipo: &lt;code&gt;ENTERO&lt;/code&gt;
	 */
	@Campo(indice = 1, nombre = &quot;PEREFEL&quot;, tipo = TipoCampo.ENTERO, longitudMinima = 3, longitudMaxima = 3)
	private Integer perefel;
	
	/**
	 * &lt;p&gt;Campo &lt;code&gt;UNIEFEL&lt;/code&gt;, &amp;iacute;ndice: &lt;code&gt;2&lt;/code&gt;, tipo: &lt;code&gt;ALFANUMERICO&lt;/code&gt;
	 */
	@Campo(indice = 2, nombre = &quot;UNIEFEL&quot;, tipo = TipoCampo.ALFANUMERICO, longitudMinima = 7, longitudMaxima = 7)
	private String uniefel;
	
	/**
	 * &lt;p&gt;Campo &lt;code&gt;POREFE&lt;/code&gt;, &amp;iacute;ndice: &lt;code&gt;3&lt;/code&gt;, tipo: &lt;code&gt;ENTERO&lt;/code&gt;
	 */
	@Campo(indice = 3, nombre = &quot;POREFE&quot;, tipo = TipoCampo.ENTERO, longitudMinima = 3, longitudMaxima = 3)
	private Integer porefe;
	
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>